Index: src/UIElements/CommandLineUI/CommandLineDialog.hpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineDialog.hpp	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ src/UIElements/CommandLineUI/CommandLineDialog.hpp	(revision 75dc28fc85d478b74ec291d17bf76e24467a04bc)
@@ -28,14 +28,14 @@
 
   virtual void queryEmpty(const char *, std::string = "");
-  virtual void queryInt(const char *, int *, std::string = "");
-  virtual void queryBoolean(const char *, bool *, std::string = "");
-  virtual void queryString(const char*, std::string *, std::string = "");
-  virtual void queryStrings(const char*, std::vector<std::string> *, std::string = "");
-  virtual void queryDouble(const char*, double*, std::string = "");
-  virtual void queryAtom(const char*,atom**, std::string = "");
-  virtual void queryMolecule(const char*,molecule**,std::string = "");
-  virtual void queryVector(const char*,Vector *,bool, std::string = "");
-  virtual void queryBox(const char*,Box *, std::string = "");
-  virtual void queryElement(const char*, std::vector<element *> *, std::string = "");
+  virtual void queryInt(const char *, std::string = "");
+  virtual void queryBoolean(const char *, std::string = "");
+  virtual void queryString(const char*, std::string = "");
+  virtual void queryStrings(const char*, std::string = "");
+  virtual void queryDouble(const char*, std::string = "");
+  virtual void queryAtom(const char*, std::string = "");
+  virtual void queryMolecule(const char*, std::string = "");
+  virtual void queryVector(const char*, bool, std::string = "");
+  virtual void queryBox(const char*, std::string = "");
+  virtual void queryElement(const char*, std::string = "");
 
 protected:
@@ -50,5 +50,5 @@
   class IntCommandLineQuery : public Dialog::IntQuery {
   public:
-    IntCommandLineQuery(std::string title, int *_target, std::string _description = "");
+    IntCommandLineQuery(std::string title, std::string _description = "");
     virtual ~IntCommandLineQuery();
     virtual bool handle();
@@ -57,5 +57,5 @@
   class BooleanCommandLineQuery : public Dialog::BooleanQuery {
   public:
-    BooleanCommandLineQuery(std::string title, bool *_target, std::string _description = "");
+    BooleanCommandLineQuery(std::string title, std::string _description = "");
     virtual ~BooleanCommandLineQuery();
     virtual bool handle();
@@ -64,5 +64,5 @@
   class DoubleCommandLineQuery : public Dialog::DoubleQuery {
   public:
-    DoubleCommandLineQuery(std::string title, double *_target, std::string _description = "");
+    DoubleCommandLineQuery(std::string title, std::string _description = "");
     virtual ~DoubleCommandLineQuery();
     virtual bool handle();
@@ -71,5 +71,5 @@
   class StringCommandLineQuery : public Dialog::StringQuery {
   public:
-    StringCommandLineQuery(std::string title, std::string *_target, std::string _description = "");
+    StringCommandLineQuery(std::string title, std::string _description = "");
     virtual ~StringCommandLineQuery();
     virtual bool handle();
@@ -78,5 +78,5 @@
   class StringsCommandLineQuery : public Dialog::StringsQuery {
   public:
-    StringsCommandLineQuery(std::string title, std::vector<std::string> *_target, std::string _description = "");
+    StringsCommandLineQuery(std::string title, std::string _description = "");
     virtual ~StringsCommandLineQuery();
     virtual bool handle();
@@ -85,5 +85,5 @@
   class AtomCommandLineQuery : public Dialog::AtomQuery {
   public:
-    AtomCommandLineQuery(std::string title, atom **_target, std::string _description = "");
+    AtomCommandLineQuery(std::string title, std::string _description = "");
     virtual ~AtomCommandLineQuery();
     virtual bool handle();
@@ -92,5 +92,5 @@
   class MoleculeCommandLineQuery : public Dialog::MoleculeQuery {
   public:
-    MoleculeCommandLineQuery(std::string title, molecule **_target, std::string _description = "");
+    MoleculeCommandLineQuery(std::string title, std::string _description = "");
     virtual ~MoleculeCommandLineQuery();
     virtual bool handle();
@@ -99,5 +99,5 @@
   class VectorCommandLineQuery : public Dialog::VectorQuery {
   public:
-    VectorCommandLineQuery(std::string title,Vector *_target,bool _check, std::string _description = "");
+    VectorCommandLineQuery(std::string title,bool _check, std::string _description = "");
     virtual ~VectorCommandLineQuery();
     virtual bool handle();
@@ -106,5 +106,5 @@
   class BoxCommandLineQuery : public Dialog::BoxQuery {
   public:
-    BoxCommandLineQuery(std::string title,Box* _cellSize, std::string _description = "");
+    BoxCommandLineQuery(std::string title, std::string _description = "");
     virtual ~BoxCommandLineQuery();
     virtual bool handle();
@@ -113,5 +113,5 @@
   class ElementCommandLineQuery : public Dialog::ElementQuery {
   public:
-    ElementCommandLineQuery(std::string title, std::vector<element *> *_target, std::string _description = "");
+    ElementCommandLineQuery(std::string title, std::string _description = "");
     virtual ~ElementCommandLineQuery();
     virtual bool handle();
